* Program.......: VIDPOP.PRG
* Author........: G. Rothbart, The Research Group with modifications by Ted
*		  McClure, WordTech Systems.
* Function......: Fast Linkage to VIDPOP for the WordTech Compiler, QuickSilver
*		: STRING = SAYWHAT screen name or VIDPOP command
* Reference.....: SAYWHAT 3.0 Manual, WordTech QuickSilver Manual pp 103-104 on
*		  the DOSINT command, DOS Tech Ref Manual on Interrupt 10H.
*
* NOTE..........: This is a program that ONLY works with the WordTech
*		  compiler, and will NOT run in dBASE by itself!  The idea is
*		  to replace your VIDPOP calls of the form
*
*		  ?? chr(255)+chr(255)+<screen name or VIDPOP command>/
*
*		  with
*
*		  STRING = '<screen name or VIDPOP command></>'
*		  DO VIDPOP
*
*		  For example:
*
*		  STRING = 'TINYSCR/'
*		  DO VIDPOP
*
*
AH = 256*14
AL = 255
*
* -- send 2 FF's to Int 10H:
*
AXREG = AH + AL
DOSINT 16,AXREG
AXREG = AH + AL
DOSINT 16,AXREG
*
* -- send SAYWHAT screen name or VIDPOP command to Int 10H:
*
I = 1
DO WHILE I <= LEN(STRING)
   AL = ASC(SUBSTR(STRING,I,1))
   AXREG = AH + AL
   DOSINT 16,AXREG
   I = I+1
ENDDO
*
* -- Screen is UP!
*
